Subject: Re: pkg/30008: print/acroread7 doesn't work
To: None <,,>
From: Jan Schaumann <>
List: pkgsrc-bugs
Date: 05/09/2005 14:09:02
The following reply was made to PR pkg/30008; it has been noted by GNATS.

From: Jan Schaumann <>
To: Nick Hudson <>
Cc:, Mark Davies <>,
	Juan RP <>
Subject: Re: pkg/30008: print/acroread7 doesn't work
Date: Mon, 9 May 2005 10:09:02 -0400

 Content-Type: text/plain; charset=us-ascii
 Content-Disposition: inline
 Content-Transfer-Encoding: quoted-printable
 Nick Hudson <> wrote:
 > This has been bugging me (execuse the pun) and to work around it I hacked=
 > binary to remove the eXecute bit from the STACK he=
 > entry:
 > $ readelf -l /usr/pkg/emul//linux/opt/gnome/lib/  |=
  grep STACK
 >   STACK          0x000000 0x00000000 0x00000000 0x00000 0x00000 RW  0x4
 > $
 > I then ran the commands in INSTALL and now I can use acroread7.
 > Why this works for some people and not others beats me. What platforms and
 > versions are people using? What's the output of the above command?
 I run acroread7 on NetBSD-2.0/i386.
 Elf file type is DYN (Shared object file)
 Entry point 0x2b80
 There are 4 program headers, starting at offset 52
 Program Headers:
   Type           Offset   VirtAddr   PhysAddr   FileSiz MemSiz  Flg
   LOAD           0x000000 0x00000000 0x00000000 0x10ce8 0x10ce8 R E
   LOAD           0x011000 0x00011000 0x00011000 0x004c4 0x00518 RW
   DYNAMIC        0x011208 0x00011208 0x00011208 0x000f0 0x000f0 RW  0x4
   LOOS+474e551   0x000000 0x00000000 0x00000000 0x00000 0x00000 RWE 0x4
  Section to Segment mapping:
   Segment Sections...
    00     .hash .dynsym .dynstr .gnu.version .gnu.version_r .rel.dyn
 =2Erel.plt .init .plt .text .fini .rodata=20
    01     .data .eh_frame .dynamic .ctors .dtors .jcr .got .bss=20
    02     .dynamic=20
    03    =20
 No STACK information.                                                      =
 The Internet interprets censorship as damage and routes around it.
 	-- John Gilmore
 Content-Type: application/pgp-signature
 Content-Disposition: inline
 Version: GnuPG v1.2.3 (NetBSD)